> For the complete documentation index, see [llms.txt](https://docs.ultihash.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ultihash.io/reference/changelog/helm-chart.md).

# Helm chart

## \[1.6.0] 2025-07-17

* Update core Docker image tag to 1.6.0  &#x20;
* Bump etcd to chart version 12.0.10 / app version 3.6.2  &#x20;
* Bump postgresl to chart version 16.7.19 / app version 17.5.0
* Bump opentelemetry-collector to chart version 0.129.0 / app version 0.130.0 &#x20;
* Bump prometheus-node-exporter to chart version 4.47.1 / app version 1.9.1

## \[1.5.0] 2025-07-09

* Update core Docker image to 1.5.0
* Upgraded employed libraries to their latest available releases

## \[1.4.0] 2025-06-05

* Introduce support for erasure coding (EC) storage groups
* Remove support for multiple storage volumes per storage instance
* Update core Docker image tag to 1.4.0

## \[1.3.1] 2025-04-07

* Update core Docker image tag to 1.3.1

## \[1.3.0] - 2025-03-04

* Rename recovery service to coordinator
* Enable optional deactivation of deduplicator and OTEL collector
* Update core Docker image tag to 1.3.0

## \[1.2.0] - 2025-01-22

* Update core Docker image tag to 1.2.0

## \[1.1.2] - 2024-12-19

* Update core Docker image tag to 1.1.2

## \[1.1.1] - 2024-12-09

* Update the subcharts to the recent versions
* Update core Docker image tag to 1.1.1

## \[1.1.0] - 2024-11-13

* Implemented support for password-based authentication against etcd
* Implemented S3A tests support
* Implemented PySpark test support
* Made the `database-init` job name unique to prevent `helm upgrade` failing
* Added support for extra volumes and volume mounts
* Updated core Docker image tag to 1.1.0

## \[1.0.0] - 2024-10-16

* Implemented support for global policies
* Implemented automated credentials generation for the UH root user
* Update core Docker image tag to 1.0.0

## \[0.6.0] - 2024-09-19

* Implemented flexible database schema management with Flyway
* Introduced the readiness probe for the Entrypoint service
* Introduced EC recovery service
* Update core Docker image tag to 0.6.0

## \[0.5.5] - 2024-08-08

* Added support for using multiple working directories/storage devices to storage service
* Update core Docker image tag to 0.5.4

## \[0.5.4] - 2024-07-05

* Provide ability to define custom ENV for the stability test

## \[0.5.3] - 2024-07-02

* Update core Docker image tag to 0.5.3

## \[0.5.2] - 2024-06-27

* Remove initContainers from the UH services
* Update core Docker image tag to 0.5.2

## \[0.5.1] - 2024-06-24

* Implement custom environment variables support for UH services
* Implement proxy URL support for the init containers
* Update core Docker image tag to 0.5.1

## \[0.5.0] - 2024-06-07

* Update core Docker image tag to 0.5.0
* Enable changing parameters of the stability test
* Implemenent PostgreSQL database instead Directory

## \[0.4.3] - 2024-05-22

* Update core Docker image tag to 0.4.2
* Enable passing aditional parameters to the stability test

## \[0.4.2] - 2024-04-29

* Update core Docker image tag to 0.4.1
* Implement fixes for the release 0.4.1

## \[0.4.1] - 2024-04-18

* Introduce the stability test
* Make the init-container script multiplatform
* Implement tolerations support

## \[0.4.0] - 2024-03-27

* Update core Docker image tag to 0.4.0

## \[0.3.3] - 2024-03-25

* Implement image pull policy support
* Implement feature testing support
* Introduce consistent Helm labels
* Implement security context fixes

## \[0.3.2] - 2024-03-19

* Implement security context for the UH services

## \[0.3.1] - 2024-03-15

* Update core Docker image tag to 0.3.4
* Enable collecting pod metrics from Kubelet

## \[0.3.0] - 2024-03-14

* Update core Docker image tag to 0.3.2
* Implement telemetry export support for the entrypoint service
* Enable only required metric collectors for Prometheus Node Exporter

## \[0.2.0] - 2024-03-06

* Update core Docker image tag to 0.2.1
* Implement Kubernetes metadata collection
* Implement support for changing log level and telemetry collection interval
* Implement resource budgets
* Implement placement policies


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ultihash.io/reference/changelog/helm-chart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
